dofile ("./Config/Export/weaponsTypeIndicator.lua")
-- dofile ("./Config/Export/cadranGG.lua")
gLastGunStatus = "SAFE"
gLastWeaponType = 0



function ProcessIndicators(pIndicatorTables)
    local lIndicatorTable, lDevice_Arg ,lSIOC_Var, lArgumentValue, lPanel, lPanelId
    local lSIOC_SendString = ""
    
    for i , lIndicatorTable in pairs(pIndicatorTables) 
    do     
        for lSIOC_Var ,lDevice_Arg in pairs(lIndicatorTable) 
        do 
            -- Check if the panelID changes between indicators 
            if lPanelId ~= lDevice_Arg[1] then 
                lPanelId = lDevice_Arg[1]
                -- Get the device
                lPanel = GetDevice(lDevice_Arg[1])
                --Check to see that the device is valid otherwise we return an emty string
                if type(lPanel) ~= "table" then
                    return ""
                end
                -- Update the panel
                lPanel:update_arguments()
            end
             
            lArgumentValue = lPanel:get_argument_value(lDevice_Arg[2])
            -- For some reason the get_argument_value function call above returns 0.1000001256, 0.20000012313 
            -- or similar so we need round this value to 0.1, 0.2 etc
            lArgumentValue = round(lArgumentValue, 1)
    
            -- 0 or 0.2 means that the indicator should be off => the SIOC param should be 0
            -- For any other value the indicator should be on => the SIOC param should be 1
            if ((lArgumentValue == 0) or (lArgumentValue == 0.2)) then
                lSIOC_SendString = lSIOC_SendString..lSIOC_Var.."=0:"
            else
                lSIOC_SendString = lSIOC_SendString..lSIOC_Var.."=1:"
            end            
        end
    end
    return lSIOC_SendString
end


-- Calculate and generate the SIOC string for the cannon + other weapons.
-- pRemainSIOCParam = the SIOC parameter connected to the display of other wepaons (ex  ATGM, rockets) ammo count
-- pRNDSSIOCParam = the SIOC parameter connected to the display of the cannon ammo count

function AmmoCountersAndType(pRemainSIOCParam, pRNDSSIOCParam, pTypeSIOCParam)
    local lSIOC_SendString =""
    -- Get the device 
    local lWeaponSystem = GetDevice(12)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lWeaponSystem) ~= "table" then
        return ""
    end
    
    local lMainPanel = GetDevice(0)
    lMainPanel:update_arguments()
    
    local lGunSelected = lMainPanel:get_argument_value(615)
    local lTargetingSystemOn = lMainPanel:get_argument_value(433)  
   
    if lTargetingSystemOn == 1 then
      
      -- Somewhat ugly code due to most simmer not having the BS special gun/missile
        -- lockout system on their sticks.
        if lGunSelected == 0 then
            gLastGunStatus = "ARMED"    
        elseif lGunSelected == -1 then
            gLastGunStatus = "SAFE"
        end     

    
        -- Get and correctly round the ammo count. Ex Ammocount = 236 / 10 = 23.6. String match to "(%d+)" => 23
        local lCannonAmmoCount = string.match(lWeaponSystem:get_selected_gun_ammo_count() / 10, "(%d+)")
    
        -- Add the cannon ammo count to the SIOC string
        lSIOC_SendString = pRNDSSIOCParam.."="..lCannonAmmoCount..":"
    
        -- Get and calculate the ammo for rockets ATGM etc 
        local lArrayOfStationNumbers  = lWeaponSystem:get_selected_weapon_stations()	    
        local lSelectedStationsAmmoCount = 0
        for i=1,#lArrayOfStationNumbers do
            lSelectedStationsAmmoCount =
            lSelectedStationsAmmoCount + lWeaponSystem:get_weapon_count_on_station(lArrayOfStationNumbers[i])  
        end
    

        -- -999999 tells SIOC to turn of the display
        if (#lArrayOfStationNumbers ~= 0 and gLastGunStatus == "SAFE") then
            local lWeaponType   = lWeaponSystem:get_weapon_type_on_station(lArrayOfStationNumbers[1])
          

            
            lSIOC_SendString = lSIOC_SendString..pRemainSIOCParam.."="..lSelectedStationsAmmoCount..":"
        

            local lWeaponIndicator
            if lWeaponType == "EMPTY" then 
                lWeaponIndicator = gLastWeaponType 
            else
                lWeaponIndicator = weaponsTypeIndicator[lWeaponType] or 0 
            end
          

        
            if lWeaponIndicator > 0  then
                lSIOC_SendString = lSIOC_SendString..pTypeSIOCParam.."="..lWeaponIndicator..":"
                gLastWeaponType = lWeaponIndicator
            end
            
        else
            lSIOC_SendString = lSIOC_SendString..pRemainSIOCParam.."=-999999:"..pTypeSIOCParam.."=0"..":"
        end
    
    else
        lSIOC_SendString = lSIOC_SendString..pRemainSIOCParam.."=-999999:"..pTypeSIOCParam.."=0:"..pRNDSSIOCParam.."=-999999:"
    end
  
    return lSIOC_SendString
end
------------------------------------AGR_81_Roll--------------------------------------------------
function AGR_81_Roll(pAGR_81_RollSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lAGR_81_R = lMainPanel:get_argument_value(142)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pAGR_81_RollSIOCParam.."="..round(lAGR_81_R)..":"
         
    return lSIOC_SendString
end


------------------------------------AGR_81_Pitch--------------------------------------------------

function AGR_81_Pitch(pAGR_81_PitchSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lAGR_81_P = lMainPanel:get_argument_value(143)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pAGR_81_PitchSIOCParam.."="..round(lAGR_81_P)..":"
         
    return lSIOC_SendString
end

----------------------- KI_13_course  BOUSOLE 

function KI_13_course(pKI_13_courseSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lKI_13_cour = lMainPanel:get_argument_value(11)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pKI_13_courseSIOCParam.."="..round(lKI_13_cour)..":"
         
    return lSIOC_SendString
end


---- -- --------------------PRESSION HUILE MOTEUR GAUCHE

function NeedleOilPressureEngineLeft(pNeedleOilPressEngLeftSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lNeedleOilPressureEngineL = lMainPanel:get_argument_value(252)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pNeedleOilPressEngLeftSIOCParam.."="..round(lNeedleOilPressureEngineL)..":"
         
    return lSIOC_SendString
end
----------------------- PRESSION HUILE MOTEUR DROIT

function NeedleOilPressureEngineRight(pNeedleOilPressEngRightSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lNeedleOilPressureEngineR = lMainPanel:get_argument_value(253)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pNeedleOilPressEngRightSIOCParam.."="..round(lNeedleOilPressureEngineR)..":"
         
    return lSIOC_SendString
end
------------------------------ PRESSION HUILE GEAR BOX 

function NeedleOilPressureGearBox(pNeedleOilPressGearBoxSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lNeedleOilPressureGearB = lMainPanel:get_argument_value(254)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pNeedleOilPressGearBoxSIOCParam.."="..round(lNeedleOilPressureGearB)..":"
         
    return lSIOC_SendString
end
------------------------------ -- TEMPERATURE HUILE MOTEUR GAUCHE

function NeedleOilTemperatureEngineLeft(pNeedleOilTempEngLeftSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lNeedleOilTemperatureEngineL = lMainPanel:get_argument_value(255)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pNeedleOilTempEngLeftSIOCParam.."="..round(lNeedleOilTemperatureEngineL)..":"
         
    return lSIOC_SendString
end
------------------------------------------- TEMPERATURE HUILE MOTEUR DROIT

function NeedleOilTemperatureEngineRight(pNeedleOilTempEngRightSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lNeedleOilTemperatureEngineR = lMainPanel:get_argument_value(256)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pNeedleOilTempEngRightSIOCParam.."="..round(lNeedleOilTemperatureEngineR)..":"
         
    return lSIOC_SendString
end
------------------------------------------- TEMPERATURE HUILE GEAR BOX---------------------

function NeedleOilTemperatureGearBox(pNeedleOilTempGearBoxSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
    local lNeedleOilTemperatureGearB = lMainPanel:get_argument_value(257)* 1000  -- vy.arg_number=24 (s. mainpanel_init.lua) (WB)
    --logfile:write(lVariometer)
    --logfile:write("\n")    
        
    local lSIOC_SendString = pNeedleOilTempGearBoxSIOCParam.."="..round(lNeedleOilTemperatureGearB)..":"
         
    return lSIOC_SendString
end



-----------------------------------------APUtemperature---------------------------------------------

function APUtemperature(pAPUTempSIOCParam)
    -- Get the device 
    local lMainPanel = GetDevice(0)
    --Check to see that the device is valid otherwise we return an emty string 
    if type(lMainPanel) ~= "table" then
        return ""
    end
    lMainPanel:update_arguments()
    
	-- (s. mainpanel_init.lua) (WB)
	-- 0-900c: DCS: 0-1 equivalent to Servo 0..1023 -> 200..1023  (0-200 dead zone)
    --local lAPUtemp = (lMainPanel:get_argument_value(6) * 823) + 200
	local lAPUtemp = (lMainPanel:get_argument_value(6) * 900)
    --logfile:write(round(lAPUtemp))
    --logfile:write("\n")    
        
    --local lSIOC_SendString = pAPUTempSIOCParam.."="..round(Servo(lAPUtemp, APUtempServoCalTable))..":"
	local lSIOC_SendString = pAPUTempSIOCParam.."="..round(lAPUtemp)..":"
         
    return lSIOC_SendString
end

-- Generate the SIOC string to reset (turn off) all indicator lamsp
function ResetIndicators(pIndicatorTables)
    local lIndicatorTable, lDevice_Arg ,lSIOC_Var 
    local lSIOC_SendString = ""
    
    for i , lIndicatorTable in pairs(pIndicatorTables) 
    do     
        for lSIOC_Var ,lDevice_Arg in pairs(lIndicatorTable) 
        do 
            lSIOC_SendString = lSIOC_SendString..lSIOC_Var.."=0:"
        end            
    end
    return lSIOC_SendString
end
--------------------------------------------------------------------------------------
-- Generate SIOC string to reset (turn off) Servos
function ResetSIOCvar(pSiocVar)
    local lSIOC_SendString = ""
    
    lSIOC_SendString = lSIOC_SendString..pSiocVar.."=0:"
    
    return lSIOC_SendString
end



-- Simple round function
function round(num, idp)
  local mult = 10^(idp or 0)
  return math.floor(num * mult + 0.5) / mult
end

-- Used togheter with a for loop to extract Sioc parameters and their value from a string
function SIOC_Parse(pSIOC_String)
    local i = -1
    return function ()
        i= string.find(pSIOC_String, ":",i+1)
        if i ~= nil then
            return tonumber(string.match(pSIOC_String, ":(%d+)=%d+",i)) , tonumber(string.match(pSIOC_String, ":%d+=(%d+)",i)) 
        end
    end
end





-- Device/switch specific functions
 


function TwoPositionSwitch(pValue, pDevice, pNumber, pOnValue, pInvert)
    if pInvert then
        if pValue == 1 then
           pValue = 0
        else
           pValue = 1
        end
    end
 
    GetDevice(pDevice):performClickableAction(pNumber + 3000, pValue * pOnValue)
end


--For a rotary/rotary switch, sends (pValue - 1/10) to pDevice (ex 12 for WEAP-Interface)
-- Set your SIOC parameter to 1 for position 1, 2 for position 2.....etc.  
function SimpleRotary(pValue, pDevice, pNumber)
    GetDevice(pDevice):performClickableAction(pNumber + 3000,(pValue - 1)/10)
end

function SimpleRotaryTest(pValue, pDevice, pNumber)
    GetDevice(pDevice):performClickableAction(pNumber + 3000,pValue - 2)
end
