dofile("./Config/Export/ExportSupport.lua")
dofile("./Config/Export/SIOCConfig/siocConfig.lua")

SIOCPrevExport = {}
SIOCPrevExport.LuaExportStart = LuaExportStart
SIOCPrevExport.LuaExportStop = LuaExportStop
SIOCPrevExport.LuaExportBeforeNextFrame = LuaExportBeforeNextFrame
SIOCPrevExport.LuaExportAfterNextFrame = LuaExportAfterNextFrame
SIOCPrevExport.LuaExportActivityNextEvent = LuaExportActivityNextEvent

function LuaExportStart()

    package.path  = package.path..";.\\LuaSocket\\?.lua"
    package.cpath = package.cpath..";.\\LuaSocket\\?.dll"
   
    socket = require("socket")
    
    pit = socket.try(socket.connect(siocConfig.hostIP, siocConfig.hostPort)) -- connect to the listener socket
    pit:setoption("tcp-nodelay",true) -- set immediate transmission mode
    pit:settimeout(.001) -- set the timeout for reading the socket 
    
    local lSIOC_Var, i
    local lSIOC_SendString = ""
    
    for lSIOC_Var,i in pairs(inputsTable)
    do
        lSIOC_SendString = lSIOC_SendString..lSIOC_Var..":"
    end

	lSIOC_SendString = "Arn.Inicio:"..lSIOC_SendString.."\n"
	socket.try(pit:send(lSIOC_SendString))
    
    SIOCPrevExport.LuaExportStart()
end

function LuaExportBeforeNextFrame()
    local inpst = pit:receive()
    if inpst then
  
        for lSIOC_Param, lSIOCValue in SIOC_Parse(inpst) do
            if inputsTable[lSIOC_Param] ~= nil then
                inputsTable[lSIOC_Param][1](lSIOCValue, inputsTable[lSIOC_Param][2],inputsTable[lSIOC_Param][3],inputsTable[lSIOC_Param][4],inputsTable[lSIOC_Param][5],
                                                        inputsTable[lSIOC_Param][6],inputsTable[lSIOC_Param][7],inputsTable[lSIOC_Param][8],inputsTable[lSIOC_Param][9])
            end          
        end

    end

    SIOCPrevExport.LuaExportBeforeNextFrame()    
end

function LuaExportAfterNextFrame()
    local lSIOC_SendString = ""
	
	-- servos
		lSIOC_SendString = lSIOC_SendString..AGR_81_Roll(gAGR_81_RollSIOCParam)  --WB: 15.04. 
		lSIOC_SendString = lSIOC_SendString..AGR_81_Pitch(gAGR_81_PitchSIOCParam)  --WB: 15.04. 
		lSIOC_SendString = lSIOC_SendString..APUtemperature(gAPUTempSIOCParam) --WB: 16.04. 
		lSIOC_SendString = lSIOC_SendString..KI_13_course(gKI_13_courseSIOCParam) --WB: 16.04. 
		lSIOC_SendString = lSIOC_SendString..NeedleOilPressureEngineLeft(gNeedleOilPressEngLeftSIOCParam) --GG 
		lSIOC_SendString = lSIOC_SendString..NeedleOilPressureEngineRight(gNeedleOilPressEngRightSIOCParam) --GG 
		lSIOC_SendString = lSIOC_SendString..NeedleOilPressureGearBox(gNeedleOilPressGearBoxSIOCParam) --GG 
		lSIOC_SendString = lSIOC_SendString..NeedleOilTemperatureEngineLeft(gNeedleOilTempEngLeftSIOCParam) --GG 
		lSIOC_SendString = lSIOC_SendString..NeedleOilTemperatureEngineRight(gNeedleOilTempEngRightSIOCParam) --GG 
		lSIOC_SendString = lSIOC_SendString..NeedleOilTemperatureGearBox(gNeedleOilTempGearBoxSIOCParam) --GG 
	

	-- Send / Export OUTPUTS & Servos to SIOC
	
    if lSIOC_SendString ~= "" then
         socket.try(pit:send("Arn.Resp:"..lSIOC_SendString.."\n"))
    end
    
    SIOCPrevExport.LuaExportAfterNextFrame()
end

function LuaExportActivityNextEvent(t)
    local tNext = t
    tNext = tNext + 0.2
	local lSIOC_SendString = ""
	
	-- Generate SIOC string for OUTPUTS -- gIndicatorTables in DcsToSioc.lua (WB)
    lSIOC_SendString = lSIOC_SendString..ProcessIndicators(gIndicatorTables)
    
	-- Generate SIOC string for ammocounters (Weapons-Panel)
    lSIOC_SendString = lSIOC_SendString..AmmoCountersAndType(ammoCountersAndType.Remain, ammoCountersAndType.RNDS, ammoCountersAndType.Type)
    
	-- Generate SIOC string for Servos
	-- lSIOC_SendString = lSIOC_SendString..APUtemperature(gAPUTempSIOCParam) --WB: 16.04. 	
	
	-- Send / Export OUTPUTS & Servos to SIOC
    if lSIOC_SendString ~= "" then
         socket.try(pit:send("Arn.Resp:"..lSIOC_SendString.."\n"))
    end
    
    return SIOCPrevExport.LuaExportActivityNextEvent(tNext)
end

function LuaExportStop()
    local lSIOC_SendString = ResetIndicators(gIndicatorTables)
	
		-- Disable all Servos, stop sending voltage to servos, Sioc=0
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gAGR_81_RollSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gAGR_81_PitchSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gAPUTempSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gKI_13_courseSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gNeedleOilPressEngLeftSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gNeedleOilPressEngRightSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gNeedleOilPressGearBoxSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gNeedleOilTempEngLeftSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gNeedleOilTempEngRightSIOCParam)
	lSIOC_SendString = lSIOC_SendString..ResetSIOCvar(gNeedleOilTempGearBoxSIOCParam)

  lSIOC_SendString = lSIOC_SendString..ammoCountersAndType.Remain.."=-999999:"..ammoCountersAndType.RNDS.."=-999999:"..ammoCountersAndType.Type.."=0:" 
	socket.try(pit:send("Arn.Resp:"..lSIOC_SendString.."\n"))
	-- Close the listener socket
    --socket.try(pit:send("quit"))
	socket.try(pit:send("Arn.Fin:\n"))
    pit:close()
    
	
    SIOCPrevExport.LuaExportStop()
end
